# Override and set some home variables
export HOME="${USE_HOME:-/srv/builder}"
export CDIMAGE_BIN="${HOME}/cdimage/bin"
export CDIMAGE_ROOT="${HOME}/cdimage"
export PATH="${CDIMAGE_BIN}:${PATH}"

SUITE_DIR="${BASE_D}/${SUITE}"
[ -n "${STREAM}" -a "${STREAM}" != "daily" ] &&
    SUITE_DIR="${BASE_D}/${STREAM}/${SUITE}"
SERIAL_DIR="${SUITE_DIR}/${SERIAL}"

echo "Checksumming the new version..."
checksum-directory "${SERIAL_DIR}"

if [ ! -d ${SERIAL_DIR}/unpacked ]; then
    echo "Adding build info to the new version..."
    mkdir -p ${SERIAL_DIR}/unpacked
    cat << EOF > ${SERIAL_DIR}/unpacked/build-info.txt
SERIAL=$SERIAL
EOF
fi

checksum-directory ${SERIAL_DIR}/unpacked

if [ "${UPDATE_CURRENT:-false}" = "true" ]; then
   ./update_release_directory.sh "${SUITE_DIR}"
fi
