#!/bin/bash
set -x
# Copy new config into place for Tweeting
cat << EOF > ${WORKSPACE}/.twitter_oauth
${TWITTER_API_KEYS}
EOF

# Only work against server builds
[ "${BUILD_TYPE:-server}" == "desktop" ] && exit 0

# Get some version strings out
case ${SUITE} in
    hardy)      ver="Ubuntu 8.04 LTS";;
    lucid)      ver="Ubuntu 10.04 LTS";;
    natty)      ver="Ubuntu 11.04";;
    oneiric)    ver="Ubuntu 11.10";;
    precise)    ver="Ubuntu 12.04 LTS";;
    quantal)    ver="Ubuntu 12.10";;
    raring)     ver="Ubuntu 13.04";;
esac

# Urls to look for stuff
base_url="http://cloud-images.ubuntu.com"
release_url="${base_url}/releases/${SUITE}/release-${SERIAL}"
milestone_url="${base_url}/release/${SUITE}/${MILESTONE_LABEL}"
daily_url="${base_url}/${SUITE}/${SERIAL}"

# Default to daily builds
MILESTONE_LABEL=${MILESTONE_LABEL:-daily}

# What message to send
if [ "${MILESTONE_LABEL}" == "release" ]; then
    message="Updated Cloud Images for ${ver} published at @ ${release_url}"
elif [ -n "${DEVELOPMENT_BUILD}" ]; then
    message="New daily devel Cloud Image for ${ver} @ ${daily_url}"
elif [ -n "${MILESTONE_LABEL}" -a "${MILESTONE_LABEL}" != "daily" ]; then
    message="${MILESTONE_LABEL} release for ${ver} Cloud Images released @ ${release_url}"
else
    message="Daily stable-release for ${ver} published @ ${release_url}"
fi

# send the thing...
export HOME=${WORKSPACE}
twitter set ${message}
