#!/bin/bash
suite=${suite:-$1}
package=${2}
version=${3}
sleep_t=${4:-120}
url="http://archive.ubuntu.com/ubuntu/dists/${suite}/main/binary-amd64/Packages.bz2"
go=""

while [ -z ${go} ]
do
    echo "Checking package"
    ver=$(curl -s ${url} | \
            bunzip2 -c | egrep "Package.*${package}" -a8 | \
            awk '/Version/ {print$2}')

    [ "${ver}" = "${version}" -o -z "${version}" ] && {
        echo "Found ${package} ${ver}";
        go=1;
        exit 0;
    }

    [ -z "${go}" ] && {
        echo "....waiting another ${sleep_t} for ${package}";
        sleep ${sleep_t}
    }

done
